# coding=utf-8
# *** WARNING: this file was generated by pulumi-language-python. ***
# *** Do not edit by hand unless you're certain you know what you are doing! ***

import copy
import warnings
import pulumi
import pulumi.runtime
from typing import Any, Mapping, Optional, Sequence, Union, overload
from ... import _utilities

__all__ = [
    'ListIngestionSettingTokensResult',
    'AwaitableListIngestionSettingTokensResult',
    'list_ingestion_setting_tokens',
    'list_ingestion_setting_tokens_output',
]

@pulumi.output_type
class ListIngestionSettingTokensResult:
    """
    Configures how to correlate scan data and logs with resources associated with the subscription.
    """
    def __init__(__self__, token=None):
        if token and not isinstance(token, str):
            raise TypeError("Expected argument 'token' to be a str")
        pulumi.set(__self__, "token", token)

    @property
    @pulumi.getter
    def token(self) -> str:
        """
        The token is used for correlating security data and logs with the resources in the subscription.
        """
        return pulumi.get(self, "token")


class AwaitableListIngestionSettingTokensResult(ListIngestionSettingTokensResult):
    # pylint: disable=using-constant-test
    def __await__(self):
        if False:
            yield self
        return ListIngestionSettingTokensResult(
            token=self.token)


def list_ingestion_setting_tokens(ingestion_setting_name: Optional[str] = None,
                                  opts: Optional[pulumi.InvokeOptions] = None) -> AwaitableListIngestionSettingTokensResult:
    """
    Returns the token that is used for correlating ingested telemetry with the resources in the subscription.


    :param str ingestion_setting_name: Name of the ingestion setting
    """
    __args__ = dict()
    __args__['ingestionSettingName'] = ingestion_setting_name
    opts = pulumi.InvokeOptions.merge(_utilities.get_invoke_opts_defaults(), opts)
    __ret__ = pulumi.runtime.invoke('azure-native:security/v20210115preview:listIngestionSettingTokens', __args__, opts=opts, typ=ListIngestionSettingTokensResult).value

    return AwaitableListIngestionSettingTokensResult(
        token=pulumi.get(__ret__, 'token'))


@_utilities.lift_output_func(list_ingestion_setting_tokens)
def list_ingestion_setting_tokens_output(ingestion_setting_name: Optional[pulumi.Input[str]] = None,
                                         opts: Optional[pulumi.InvokeOptions] = None) -> pulumi.Output[ListIngestionSettingTokensResult]:
    """
    Returns the token that is used for correlating ingested telemetry with the resources in the subscription.


    :param str ingestion_setting_name: Name of the ingestion setting
    """
    ...
